%global pypi_name websockets
%global _description %{expand:
websockets is a library for developing WebSocket servers and clients in Python. It implements
RFC 6455 with a focus on correctness and simplicity. It passes the Autobahn Testsuite.

Built on top of Python’s asynchronous I/O support introduced in PEP 3156, it provides an API
based on coroutines, making it easy to write highly concurrent applications.}

# open this flag when upstream fix it
%bcond_with tests

Summary:        Implementation of the WebSocket Protocol for Python
Name:           python-%{pypi_name}
Version:        11.0.3
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/aaugustin/websockets
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  gcc

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        Implementation of the WebSocket Protocol for Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files websockets

%check
%if %{with tests}
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.0.3-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.0.3-2
- Rebuilt for loongarch release

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 11.0.3-1
- Upgrade to version 11.0.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Shuo Wang <abushwang@tencent.com> - 10.4-1
- initial build
